Subject: Re: [Shop-talk] Heat pump water heaters?

From: David Scheidt <[email-masked]>
Date: Tue, 4 Dec 2012 10:57:53 -0600

On Sat, Nov 24, 2012 at 12:47 AM, Dave C <[email-masked]> wrote:
> I must not get out enough.  I saw an ad for these in tonight's paper.  I
> never knew they existed.  I understand how they work, and I guess if natural
> gas was unavailable and your electricity was really, really expensive, they
> might pencil outr, but it looks to me like a (very complicated) solution
> looking for a problem.

Not exactly related, but GE recently moved the production of their
version of this water heater from China to Kentucky.  The American
made version is 25% cheaper, more reliable, and more efficient.  That
will reduce the payback time quite a bit.

>
> When my (12 year old) propane heater craps out we'll be getting another
> propane heater...
>
> Hope everyone had a good Thanksgiving.
> _______________________________________________
>
> [email-masked]
> Donate: http://www.team.net/donate.html
> Suggested annual donation  $12.96
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/shop-talk/[email-masked]
>

-- 
David Scheidt
[email-masked]
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive